// Configuration for the Game Boy Cart Reader

#ifndef CONFIGURATION_H_
#define CONFIGURATION_H_
#include <avr/io.h>

	// AVR Settings
	#define F_CPU 16000000
	
	// UART Settings
	#define BAUD_TOL 2
	#define CONTROL_BAUD 9600
	#define TRANSFER_BAUD 1000000

	// Cartridge Settings
	#define F_CLK 100000
	#define OCRA_VAL (((F_CPU/F_CLK)-1)/2)
	
	// Cartridge Address Lines
	#define A0ToA7Port PORTA
	#define A0ToA7DDR DDRA
	#define A8ToA15Port PORTB
	#define A8ToA15DDR DDRB

	// Cartridge Data Lines
	#define DataPort PORTC
	#define DataPin PINC
	#define DataDDR DDRC

	// Cartridge Control Output Ports
	#define CTRLPort PORTD
	#define CTRLDDR DDRD

	// Cartridge Control Pins
	#define CLK PD4
	#define READ PD5
	#define WRITE PD6
	#define CS PD3
	#define RESET PD2


#endif /* CONFIGURATION_H_ */