// Driver for reading and writing to a Game Boy Cartridge

/* Timings to replicate (See Game Boy CPU Manual [http://marc.rawer.de/Gameboy/Docs/GBCPUman.pdf] Page 137)
Shows a write followed by two reads
         _________           _________           _________           ___
CLK:____/          \_________/        \_________/         \_________/
            _________________
/RD:_______/                 \__________________________________________
              __________________________________________________________
/WR:\_______/
      _________              _____               _____               ___
/CS:           \_____________/    \_____________/     \_____________/
*/

#ifndef CARTRIDGE_H_
#define CARTRIDGE_H_
#include "../configuration.h"
#include <util/delay.h>
#include <avr/interrupt.h>
#include "uart.h"


class Cartridge {
	public:
		void writeByte(uint16_t address, uint8_t val);
		uint8_t readByte(uint16_t address);
		void reset();
		void* operator new(size_t size);
		Cartridge();
};



#endif /* CARTRIDGE_H_ */