// A Game Boy Cartridge Reader / Writer

#ifndef MAIN_H_
#define MAIN_H_
#include "configuration.h"
#include <avr/io.h>
#include <stdlib.h>
#include <util/delay.h>
#include <avr/wdt.h>
#include "serialController.h"

/*
Commandlist:
+---------+-----------------------------------+-------------------------------------------------------------------------------+
| Command | Parameter List (Length Name, ...) |                                  Description                                  |
+---------+-----------------------------------+-------------------------------------------------------------------------------+
| 0x00    | -                                 | Trigger CPU Reset and print READY(0x52 0x45 0x41 0x44 0x59) after back Online |
| 0x01    | 0x04 Baudrate                     | Set Baudrate (Initially 9600)                                                 |
| 0x02    | -                                 | Reset Memory Banking Controller and print OK (0x4F 0x4B) after done           |
| 0x03    | 0x02 Address                      | Read Byte from Address                                                        |
| 0x04    | 0x02 Address, 0x01 Value          | Write Byte on Address                                                         |
| 0x05    | 0x02 Address, 0x02 Length         | Read n Bytes from Address to (Address + Length)                               |
| 0x06    | 0x02 Address, 0x02 Length         | Writes n Bytes from Serial from Address to (Address + Length)                 |
| 0x07    | 0x01 Value                        | Selftest: Returns the Value over Serial                                       |
+---------+-----------------------------------+-------------------------------------------------------------------------------+
*/

#endif /* MAIN_H_ */